<!DOCTYPE HTML PUBLIC "-//FreeBSD//DTD HTML 4.01 Transitional-Based Extension//EN" [
<!ENTITY base CDATA "../..">
<!ENTITY date "$FreeBSD$">
<!ENTITY title "FreeBSD 6.4-RELEASE Announcement">
<!ENTITY % navinclude.download "INCLUDE">
]>
<html>
&header;

  <p>The FreeBSD Release Engineering Team is pleased to announce the availability
    of FreeBSD 6.4-RELEASE.  At this time 6.4-RELEASE is expected to be the
    last of the 6-STABLE releases.  Some of the highlights:</p>

  <ul>
    <li><p>New and much-improved NFS Lock Manager (NLM)
      client</p></li>
    <li><p>Support for the Camellia cipher</p></li>
    <li><p>boot loader changes allow, among other things, booting
      from USB devices and booting from GPT-labeled devices with
      GPT-enabled BIOSes</p></li>
    <li><p>DVD install ISO images for amd64/i386</p></li>
    <li><p>KDE updated to 3.5.10, GNOME updated to 2.22.3</p></li>
    <li><p>Updates for BIND, sendmail, OpenPAM, and others</p></li>
  </ul>

  <p>For a complete list of new features and known problems, please see the
    online release notes and errata list, available at:</p>

  <ul>
    <li><p><tt><a href="http://www.FreeBSD.org/releases/6.4R/relnotes.html">http://www.FreeBSD.org/releases/6.4R/relnotes.html</a></tt></p></li>
    <li><p><tt><a href="http://www.FreeBSD.org/releases/6.4R/errata.html">http://www.FreeBSD.org/releases/6.4R/errata.html</a></tt></p></li>
  </ul>

  <p>For more information about FreeBSD release engineering activities,
    please see:</p>

  <p><tt><a href="http://www.FreeBSD.org/releng/">http://www.FreeBSD.org/releng/</a></tt></p>

  <p>The FreeBSD Security Team intends to support 6.4-RELEASE until
    November 30th, 2010.</p>

  <h2>Availability</h2>

  <p>FreeBSD 6.4-RELEASE is now available for the amd64, i386, pc98, and sparc64
    architectures.  The builds for the alpha architecture have not completed
    yet and will be announced later.  FreeBSD 6.4-RELEASE can be installed
    from bootable ISO images or over the network; the required files can be
    downloaded via FTP or BitTorrent as described in the sections below.
    While some of the smaller FTP mirrors may not carry all architectures,
    they will all generally contain the more common ones, such as i386 and
    amd64.</p>

  <p>MD5 and SHA256 hashes for the release ISO images are included at the
    bottom of this message.</p>

  <p>The contents of the ISO images provided as part of the release has changed
    for most of the architectures.  Using the i386 architecture as an example,
    there are ISO images named "bootonly", "disc1", "disc2", "disc3", "docs",
    and "dvd1".  The "bootonly" image is suitable for booting a machine to do
    a network based installation using FTP or NFS.  The "disc1", "disc2", and
    "disc3" images are CDROM-sized (700MB media) and are used to do a full
    installation that includes a basic set of packages and does not require
    network access to an FTP or NFS server during the installation.  In addition,
    "disc1" supports booting into a "live CD-based filesystem" and system rescue
    mode.  The "docs" image has all of the documentation for all supported
    languages.  The "dvd1" image is DVD-sized and includes everything that is
    on the CDROM discs.  So "dvd1" can be used to do a full installation that
    includes a basic set of packages, it has all of the documentation for all
    supported languages, and it can be used for booting into a "live CD-based
    filesystem" and system rescue mode.  Most people will find that "disc1",
    "disc2" and "disc3" are all that are needed if their machine does not have
    a DVD-capable drive.  For people with machines that do have a DVD-capable
    drive "dvd1" should be all that is required.  If you intend to install ports
    from source instead of using the pre-built packages included with the release
    only "disc1" is needed.</p>

  <p>FreeBSD 6.4-RELEASE can also be purchased on CD-ROM from several
    vendors.  One of the vendors that will be offering FreeBSD 6.4-based
    products is:</p>

  <ul>
    <li><p>FreeBSD Mall, Inc.
        <tt><a href="http://www.freebsdmall.com/">http://www.freebsdmall.com/</a></tt></p></li>
  </ul>


  <h2>BitTorrent</h2>

  <p>6.4-RELEASE ISOs are available via BitTorrent.  A collection of torrent
    files to download the images is available at:</p>

  <p><tt><a href="http://torrents.freebsd.org:8080/">http://torrents.freebsd.org:8080</a></tt></p>

  <h2>FTP</h2>

  <p>At the time of this announcement the following FTP sites have
    FreeBSD 6.4-RELEASE available.</p>

  <ul>
    <li><tt><a href="ftp://ftp.freebsd.org/pub/FreeBSD/">ftp://ftp.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp3.freebsd.org/pub/FreeBSD/">ftp://ftp3.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp7.freebsd.org/pub/FreeBSD/">ftp://ftp7.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp9.freebsd.org/pub/FreeBSD/">ftp://ftp9.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp10.freebsd.org/pub/FreeBSD/">ftp://ftp10.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp12.freebsd.org/pub/FreeBSD/">ftp://ftp12.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.at.freebsd.org/pub/FreeBSD/">ftp://ftp.at.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.cz.freebsd.org/pub/FreeBSD/">ftp://ftp.cz.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.dk.freebsd.org/pub/FreeBSD/">ftp://ftp.dk.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.fi.freebsd.org/pub/FreeBSD/">ftp://ftp.fi.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.fr.freebsd.org/pub/FreeBSD/">ftp://ftp.fr.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp2.ie.freebsd.org/pub/FreeBSD/">ftp://ftp2.ie.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.se.freebsd.org/pub/FreeBSD/">ftp://ftp.se.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.si.freebsd.org/pub/FreeBSD/">ftp://ftp.si.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp1.ru.freebsd.org/pub/FreeBSD/">ftp://ftp1.ru.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp2.uk.freebsd.org/pub/FreeBSD/">ftp://ftp2.uk.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp3.us.freebsd.org/pub/FreeBSD/">ftp://ftp3.us.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp7.us.freebsd.org/pub/FreeBSD/">ftp://ftp7.us.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp9.us.freebsd.org/pub/FreeBSD/">ftp://ftp9.us.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp11.us.freebsd.org/pub/FreeBSD/">ftp://ftp11.us.freebsd.org/pub/FreeBSD/</a></tt></li>
  </ul>

  <p>However before trying these sites you may want to check your regional
    mirror(s) first by going to:</p>

  <p><tt>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</tt></p>

  <p>Any additional mirror sites will be labeled <tt>ftp2</tt>,
    <tt>ftp3</tt> and so on.</p>

  <p>More information about FreeBSD mirror sites can be found at:</p>

  <p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p>

  <p>For instructions on installing FreeBSD, please see Chapter 2 of The
    FreeBSD Handbook.  It provides a complete installation walk-through
    for users new to FreeBSD, and can be found online at:</p>

  <p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt></p>

  <h2>FreeBSD Update</h2>

  <p>The freebsd-update(8) utility supports binary upgrades of i386 and amd64
    systems running earlier FreeBSD releases.  Systems running 6.3-RELEASE,
    6.4-BETA, 6.4-RC1, or 6.4-RC2 can upgrade as follows:</p>

  <p><tt># freebsd-update upgrade -r 6.4-RELEASE</tt></p>

  <p>During this process, FreeBSD Update may ask the user to help by merging
    some configuration files or by confirming that the automatically performed
    merging was done correctly.</p>

  <p><tt># freebsd-update install</tt></p>

  <p>The system must be rebooted with the newly installed kernel before continuing.</p>

  <p><tt># shutdown -r now</tt></p>

  <p>After rebooting, freebsd-update needs to be run again to install the new
    userland components, and the system needs to be rebooted again:</p>

  <p><tt># freebsd-update install</tt></p>
  <p><tt># shutdown -r now</tt></p>

  <p>Note that FreeBSD Update stores downloaded upgrades in /var/db/freebsd-update,
    so at least 400MB should be free in /var before running freebsd-update; if
    the /var partition is too small, the -d option to freebsd-update can be used
    to indicate that the upgrades should be stored in a different directory.</p>

  <p>For more information, see:</p>

  <p><tt><a href="http://www.daemonology.net/blog/2007-11-10-freebsd-minor-version-upgrade.html">http://www.daemonology.net/blog/2007-11-10-freebsd-minor-version-upgrade.html</a></tt></p>

  <h2>Acknowledgments</h2>

  <p>Many companies donated equipment, network access, or man-hours to
    finance the release engineering activities for FreeBSD 6.4 including
    The FreeBSD Foundation, FreeBSD Systems, Hewlett-Packard, Yahoo!,
    Network Appliances, and Sentex Communications.</p>

  <p>The release engineering team for 6.4-RELEASE includes:</p>

  <table border="0">
    <tbody>
      <tr>
	<td>Ken&nbsp;Smith&nbsp;&lt;<a href="mailto:kensmith@FreeBSD.org">kensmith@FreeBSD.org</a>&gt;</td>
        <td>Release Engineering,
	  amd64, i386, sparc64 Release Building,
	  Mirror Site Coordination</td>
      </tr>

      <tr>
	<td>Robert&nbsp;Watson&nbsp;&lt;<a href="mailto:rwatson@FreeBSD.org">rwatson@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Security</td>
      </tr>

      <tr>
	<td>Konstantin&nbsp;Belousov&nbsp;&lt;<a href="mailto:kib@FreeBSD.org">kib@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering</td>
      </tr>

      <tr>
	<td>Marc&nbsp;Fonvieille&nbsp;&lt;<a href="mailto:blackend@FreeBSD.org">blackend@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td>Maxime&nbsp;Henrion&nbsp;&lt;<a href="mailto:mux@FreeBSD.org">mux@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering</td>
      </tr>

      <tr>
	<td>Bruce&nbsp;A.&nbsp;Mah&nbsp;&lt;<a href="mailto:bmah@FreeBSD.org">bmah@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td>George&nbsp;Neville-Neil&nbsp;&lt;<a href="mailto:gnn@FreeBSD.org">gnn@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering</td>
      </tr>

      <tr>
	<td>Hiroki&nbsp;Sato&nbsp;&lt;<a href="mailto:hrs@FreeBSD.org">hrs@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td>Murray&nbsp;Stokely&nbsp;&lt;<a href="mailto:murray@FreeBSD.org">murray@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering</td>
      </tr>

      <tr>
	<td>Wilko&nbsp;Bulte&nbsp;&lt;<a href="mailto:wilko@FreeBSD.org">wilko@FreeBSD.org</a>&gt;</td>
	<td>Alpha Release Building</td>
      </tr>

      <tr>
	<td>Takahashi&nbsp;Yoshihiro&nbsp;&lt;<a href="mailto:nyan@FreeBSD.org">nyan@FreeBSD.org</a>&gt;</td>
	<td>PC98 Release Building</td>
      </tr>

      <tr>
	<td>Kris&nbsp;Kennaway&nbsp;&lt;<a href="mailto:kris@FreeBSD.org">kris@FreeBSD.org</a>&gt;</td>
        <td>Package Building</td>
      </tr>

      <tr>
	<td>Joe&nbsp;Marcus&nbsp;Clarke&nbsp;&lt;<a href="mailto:marcus@FreeBSD.org">marcus@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Erwin&nbsp;Lansing&nbsp;&lt;<a href="mailto:erwin@FreeBSD.org">erwin@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Mark&nbsp;Linimon&nbsp;&lt;<a href="mailto:linimon@FreeBSD.org">linimon@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Pav&nbsp;Lucistnik&nbsp;&lt;<a href="mailto:pav@FreeBSD.org">pav@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Colin&nbsp;Percival&nbsp;&lt;<a href="mailto:cperciva@FreeBSD.org">cperciva@FreeBSD.org</a>&gt;</td>
	<td>Security Officer</td>
      </tr>

      <tr>
	<td>Peter&nbsp;Wemm&nbsp;&lt;<a href="mailto:peter@FreeBSD.org">peter@FreeBSD.org</a>&gt;</td>
	<td>Bittorrent Coordination</td>
      </tr>
    </tbody>
  </table>

  <h2>Trademark</h2>

  <p>FreeBSD is a registered trademark of The FreeBSD Foundation.</p>

  <h2>ISO Image Checksums</h2>

  <pre>MD5 (6.4-RELEASE-amd64-bootonly.iso) = 922fa2b990b3fd58bc558e08707dec47
MD5 (6.4-RELEASE-amd64-disc1.iso) = 33e9801d546a9bd379d97c4dc9bf833f
MD5 (6.4-RELEASE-amd64-disc2.iso) = 10e4a74cd4e80b52845adbabeb017532
MD5 (6.4-RELEASE-amd64-disc3.iso) = 986d99df8a44cb3e8647b53e1551a56b
MD5 (6.4-RELEASE-amd64-docs.iso) = be48876a37812fa19fb67aebe0c847de
MD5 (6.4-RELEASE-amd64-dvd1.iso) = efd0dd71c5b13b8464d8a7fce8a90cbc

MD5 (6.4-RELEASE-i386-bootonly.iso) = d3704b309b224fadeba29423511fbcff
MD5 (6.4-RELEASE-i386-disc1.iso) = 3bf0054bf0d650c1c7289e3076f2a24f
MD5 (6.4-RELEASE-i386-disc2.iso) = 2e5c68f0e8e82907e28394248973f2f6
MD5 (6.4-RELEASE-i386-disc3.iso) = 75c4b9ed4bfc836471ca6aad7ff071db
MD5 (6.4-RELEASE-i386-docs.iso) = a7e89a2006b34d5904ce74c907932918
MD5 (6.4-RELEASE-i386-dvd1.iso) = 01d1b4445bbb70e643e7a096562ca4a3

MD5 (6.4-RELEASE-pc98-bootonly.iso) = 6137dac091894d4eb620b02a94e3ddb6
MD5 (6.4-RELEASE-pc98-disc1.iso) = 1ac648575affdb79e6f345b1210fee1b

MD5 (6.4-RELEASE-sparc64-bootonly.iso) = 060cdc6c4fbcc96dcc13a88c09005079
MD5 (6.4-RELEASE-sparc64-disc1.iso) = 2e2f264f9cdbfd73c531943631174dac
MD5 (6.4-RELEASE-sparc64-docs.iso) = 33187d3f0459dbb2d1145aa8a4731497

SHA256 (6.4-RELEASE-amd64-bootonly.iso) = 228cfe8b5d06bdf3131a656972d94919b594371464e5f1c68e068af17b88f382
SHA256 (6.4-RELEASE-amd64-disc1.iso) = 6e8f24e153d78518268129db62e5efd3cd7b75e428a3c22bddf89eb901efa79e
SHA256 (6.4-RELEASE-amd64-disc2.iso) = 33697f3290e9754baada1feeb560f5797a8794f80ea36ecc8b0305c0ab32f07a
SHA256 (6.4-RELEASE-amd64-disc3.iso) = 59905ac81bc49be620e6a1465aba667be78b9276d999d820cca30357b073c263
SHA256 (6.4-RELEASE-amd64-docs.iso) = 1bf1445e2cf19c108adfa973cab26891c3c9ee19664de3650f38fc11c67d9f9e
SHA256 (6.4-RELEASE-amd64-dvd1.iso) = 88a0bd7818ecc2c26a6d304bffa9257f9bd192d6fb3b51ab1b538a5ef0e78130

SHA256 (6.4-RELEASE-i386-bootonly.iso) = 82377be5c922610e7613f70066919da6d39c1e3fc753b6b925eae9bdd22ac946
SHA256 (6.4-RELEASE-i386-disc1.iso) = c4f688013a27632e97caefc71296f59c9597abdb4e724385130d72dbd9abd218
SHA256 (6.4-RELEASE-i386-disc2.iso) = 4936aaede7c55c29f1acb07724a86690ae220f53ba2f67b441f15fa0a4b282e8
SHA256 (6.4-RELEASE-i386-disc3.iso) = 0c0ea48e2a07f2fc78c7d9448ad7cc24ffd224bbe4a9c1f7731358d7ce00d377
SHA256 (6.4-RELEASE-i386-docs.iso) = 13ef3a3fe8799b71130ac2041e63156b30751d292d9d2df68f2b4a4318cbcc98
SHA256 (6.4-RELEASE-i386-dvd1.iso) = 40b70eb8b36a5a13ef012592335d8e53cb9dea129a8b59971a999e84659ec6a8

SHA256 (6.4-RELEASE-pc98-bootonly.iso) = 2d0fc39c377c8bf6e3ff1ab61b8ecd9b94231e3331bc442be7f26b37ed4cf59d
SHA256 (6.4-RELEASE-pc98-disc1.iso) = dd2679fe503f7936fd4f7a6f5aa30e9c699d7eb78d382bef46eb9106dd0ab892

SHA256 (6.4-RELEASE-sparc64-bootonly.iso) = eeabf33aa11cc764f41ea9bb50ae9109817953a60d22ed4af8c6bf61885ed648
SHA256 (6.4-RELEASE-sparc64-disc1.iso) = c20f0a43732d72071cfdc17d788f3e04c1ac33e5ba122ce82fbd705ade482860
SHA256 (6.4-RELEASE-sparc64-docs.iso) = 1728658de8be72e62afbc10bc50243cf07c532b8b4cf7426c5f74f09dc5b8243</pre>

	    &footer;
  </body>
</html>
